Skip to main content
Resource Center/Resource Pool/VM Instance Operations
GETVM Instance OperationsSince 0.6SynchronousAuth Required

GetVmAttachableDataVolume

GetVmAttachableDataVolume

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • vmInstanceUuidStringRequired

    The VM instance UUID.

Query Parameters

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

GET/zstack/v1/vm-instances/{vmInstanceUuid}/data-volume-candidates

/zstack/v1/vm-instances/{vmInstanceUuid}/data-volume-candidates

Operation ID

GetVmAttachableDataVolume

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vm-instances/{vmInstanceUuid}/data-volume-candidates?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "actualSize": 0, "createDate": "Feb 11, 2018 3:16:43 PM", "description": "", "diskOfferingUuid": "7342651134824ae4b0b8ccf2c3d6ff80", "format": "raw", "installPath": "ceph://pool-0dae37a4ed4845f9bd0b1135e39e32f1/265455ab64634a108c62b887e46cdb86", "isShareable": true, "lastOpDate": "Mar 13, 2018 3:45:20 PM", "name": "host-lc-2", "primaryStorageUuid": "3fb1fe025dd843a088f63638d759faaa", "size": 21474836480, "state": "Enabled", "status": "Ready", "type": "Data", "uuid": "265455ab64634a108c62b887e46cdb86" }, ], "success": true }

Change History

This API has no change history records yet.

View all change history